Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.CommandExpressionContext

- org.apache.groovy.parser.antlr4.GroovyParser.CommandExpressionContext

-     public static class GroovyParser.CommandExpressionContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `GroovyParser.ExpressionContext` | `expression` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandExpressionContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends CommandArgumentContext>` | `commandArgument()`
    `` | `public GroovyParser.CommandArgumentContext` | `commandArgument(int i)`
    `` | `public GroovyParser.EnhancedArgumentListInParContext` | `enhancedArgumentListInPar()`
    `` | `public GroovyParser.ExpressionContext` | `expression()`
    `` | `public int` | `getRuleIndex()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public GroovyParser.ExpressionContext expression

  - ### Constructor Detail

    - #### public CommandExpressionContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends CommandArgumentContext> commandArgument()

    - #### public GroovyParser.CommandArgumentContext commandArgument(int i)

    - #### public GroovyParser.EnhancedArgumentListInParContext enhancedArgumentListInPar()

    - #### public GroovyParser.ExpressionContext expression()

    - #### @Override
      public int getRuleIndex()